%global collection_namespace community
%global collection_name general

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        7.0.1
Release:        1.VERS%{?dist}
Summary:        Modules and plugins supported by Ansible community

# rg --pcre2 -g '!tests/sanity/extra/licenses.py' 'SPDX-License-Identifier: (?!GPL-3\.0-or-later)' | sed 's|^|# |'
#
# plugins/module_utils/_mount.py:# SPDX-License-Identifier: PSF-2.0
# plugins/module_utils/ibm_sa_utils.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/ipa.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/hwc_utils.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/module_helper.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/redhat.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/univention_umc.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/storage/hpe3par/hpe3par.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/vexata.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/storage/emc/emc_vnx.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/utm_utils.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/saslprep.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/source_control/bitbucket.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/rax.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/pure.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/module_helper.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/doc_fragments/lxca_common.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/exceptions.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/deco.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/opennebula.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/mixins/deprecate_attrs.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/mixins/cmd.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/mixins/state.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/mixins/vars.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/mixins/deps.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/online.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/onepassword.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/mh/base.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/oneandone.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/oneview.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/memset.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/lxd.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/linode.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/manageiq.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/known_hosts.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/influxdb.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/heroku.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/gandi_livedns_api.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/deps.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/database.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/_filelock.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/identity/keycloak/keycloak.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/alicloud_ecs.py:# SPDX-License-Identifier: BSD-2-Clause
# plugins/module_utils/_stormssh.py:# SPDX-License-Identifier: MIT
# plugins/module_utils/remote_management/lxca/common.py:# SPDX-License-Identifier: BSD-2-Clause
# tests/unit/plugins/module_utils/test_utm_utils.py:# SPDX-License-Identifier: BSD-2-Clause
# tests/unit/plugins/modules/test_gem.py:# SPDX-License-Identifier: MIT
License:        GPL-3.0-or-later AND BSD-2-Clause AND PSF-2.0 AND MIT
URL:            https://github.com/ansible-collections/community.general
Source:         https://github.com/ansible-collections/community.general/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ansible-packaging

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -c ansible-collection-community-general-%{version}-%{release}
rm -vr .github .azure-pipelines
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license COPYING LICENSES .reuse/dep5
%doc README.md CHANGELOG.rst
%{ansible_collection_files}

%changelog
* Fri Jun 16 2023 Frederic Lepied <flepied@redhat.com> 7.0.1-1
- update to 7.0.1

* Wed Jun 14 2023 Frederic Lepied <flepied@redhat.com> 3.8.9-2
- rebuild for DCI

* Tue Aug 23 2022 Maxwell G <gotmax@e.email> - 3.8.9-1
- Update to 3.8.9.

* Mon Jun 06 2022 Maxwell G <gotmax@e.email> - 3.8.8-1
- Update to 3.8.8.

* Mon May 16 2022 Maxwell G <gotmax@e.email> - 3.8.7-1
- Update to 3.8.7.
- Add missing license file now that upstream added it.

* Tue May 10 2022 Maxwell G <gotmax@e.email> - 3.8.6-2
- Rebuild for new ansible-packaging.

* Wed Apr 06 2022 Maxwell G <gotmax@e.email> - 3.8.6-1
- Update to 3.8.6.

* Tue Feb 22 2022 Maxwell G <gotmax@e.email> - 3.8.5-1
- Update to 3.8.5.

* Fri Jan 28 2022 Maxwell G <gotmax@e.email> - 3.8.4-2
- Migrate to new ansible-packaging package.

* Tue Jan 11 2022 Maxwell G <gotmax@e.email> - 3.8.4-1
- Update to 3.8.4.

* Tue Dec 14 2021 Maxwell G <gotmax@e.email> - 3.8.3-1
- Update to 3.8.3.

* Tue Nov 23 2021 Maxwell G <gotmax@e.email> - 3.8.2-1
- Update to 3.8.2.

* Tue Oct 12 2021 Maxwell G (@gotmax23) <gotmax@e.email - 3.8.0-1
- Update to 3.8.0. Fixes rhbz#2013282

* Sat Sep 25 2021 Kevin Fenzi <kevin@scrye.com> - 3.7.0-1
- Update to 3.7.0. Fixes rhbz#1999899

* Thu Sep 23 2021 Alfredo Moralejo <amoralej@redhat.com> - 3.5.0-2
- Use ansible or ansible-core as BuildRequires

* Wed Aug 11 2021 Kevin Fenzi <kevin@scrye.com> - 3.5.0-1
- Update to 3.5.0. Fixes rhbz#1992481

* Wed Aug 4 2021 Maxwell G <gotmax@e.email> - 3.4.0-1
- Update to 3.4.0. Fixes rhbz#1983969 .

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 2021 Kevin Fenzi <kevin@scrye.com> - 3.3.2-1
- Update to 3.3.2. Fixes rhbz#1977438

* Tue Jun 08 2021 Kevin Fenzi <kevin@scrye.com> - 3.2.0-1
- Update to 3.2.0. Fixes rhbz#1969570

* Sat May 29 2021 Kevin Fenzi <kevin@scrye.com> - 3.1.0-2
- Fix sed issue that caused python33 to be required.

* Sat May 29 2021 Kevin Fenzi <kevin@scrye.com> - 3.1.0-1
- Update to 3.1.0. Fixes rhbz#1957092

* Tue May 11 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.2-1
- Update to 3.0.2. Fixes rhbz#1957092

* Wed May 05 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.1-1
- Update to 3.0.1. Fixes rhbz#1957092

* Tue Apr 27 2021 Kevin Fenzi <kevin@scrye.com> - 3.0.0-1
- Update to 3.0.0. Fixes rhbz#1953895

* Sat Apr 24 2021 Kevin Fenzi <kevin@scrye.com> - 2.5.1-1
- Update to 2.5.1.

* Thu Feb 04 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Kevin Fenzi <kevin@scrye.com> - 1.3.1-2
- Rebuild against new ansible-generator and allow usage by ansible-base-2.10.x

* Tue Dec 29 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Sun Aug 09 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package
